Bug 174259 - counts in pgpgin and pgpgout reported by vmstat
counts in pgpgin and pgpgout reported by vmstat
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 14:54 EST by Alfred Ganz
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 22:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfred Ganz 2005-11-26 14:54:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
Sorry to bother you again, but here is another procps issue.
vmstat -s returns both pagein/out and pageswapin/out counts, but it
looks to me like the pgpgin/out counts are in kBytes, while the
pswpin/out counts are real pages, this seems to be rather misleading.

I presume vmstat uses /proc/vmstat to get its information, and the
above seems to be true for /proc/vmstat as well.

pgpgin are counted by submit_bio() in drivers/block/ll_rw_blk.c, they
are in sectors, vmstat_start() in mm/page_alloc.c then divides them 
by 2.

swap_readpage/writepage() in mm/page_io.c on the other hand seem to 
count pages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.vmstat -s
2.
3.
  

Additional info:
Comment 1 Karel Zak 2006-02-02 10:17:00 EST
Please, can someone from kernel team check it? The command "vmstat -s" is almost
same like "cat /proc/vmstat" and I think that pgpgin/out in kB seems really strange.
Comment 3 Dave Jones 2006-02-03 22:58:57 EST
With the release of Fedora Core 5 test2, FC3 has now reached end-of-life.
The fedora-legacy team provide security updates for older releases, but not
general bug fixes due to limited resources.

If you can reproduce this bug with Fedora Core 4, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.